# Package org.python.modules.jffi

Interface Summary
AllocatedDirectMemory
DirectMemory
JITMethodGenerator
Memory: Abstracted memory operations.
Pointer

Class Summary
AbstractMemoryCData
ArrayCData
BasePointer
ByReference
CData
CodegenUtils
CType
DynamicLibrary
DynamicLibrary.DataSymbol
DynamicLibrary.Symbol
DynamicLibrary.TextSymbol
Function
HeapMemory
InvalidMemory: An implementation of Memory that throws an exception on any access.
Invoker
jffi
JITInvoker
JITInvoker0
JITInvoker1
JITInvoker2
JITInvoker3
JITInvoker4
JITInvoker5
JITInvoker6
JITRuntime
JITSignature
NativeDataConverter
NullMemory: An implementation of MemoryIO that throws an exception on any access.
PointerCData
ScalarCData
SkinnyMethodAdapter
StringCData
StructLayout
StructLayout.Field
StructLayout.ScalarField
Structure

Enum Summary
NativeType